[centos-users 1670] Re: CENTOS6.6のyum install glusterfs-server できなくて困っています(西村)

Akemi Yagi amyagi @ gmail.com
2015年 6月 9日 (火) 12:56:22 JST


矢木です。

最良のアドバイスですね。

2015-06-08 20:08 GMT-07:00 ngyuki <ngyuki.jp @ gmail.com>:
> その priority は、サードパーティのリポジトリのパッケージが
> 標準のパッケージを上書きしないようにするために指定していると思います。
>
> ので、priority を全部削除すれば glusterfs の
> インストールはできるようになるかもしれませんが、
> その他の部分で問題がでないとは限りません。
>
> # epel は標準のパッケージと被らないようになっていた気がしますが
> # rpmforge がどうなのかはあまり使わないのでわかりません

EPEL は標準のパッケージを上書きしません。少なくともそう決められて
います。

rpmforge ですが、残念なことにこのリポジトリはもはやアップデート
されていません。ですのでここからのパッケージを使うことはお勧め
できません。

> 今の priority の設定をそのまま残しつつ、glusterfs 関連だけは
> glusterfs のリポジトリからインストールするのであれば、
> priority を記載した base や updates のセクションに下記を追加すると良いです。
>
>     exclude=glusterfs-*

今のケースでは、exclude を使うのがいちばん簡単でかつ有効な方法かと思います。

> あるいは、glusterfs-epel.repo のすべてのセクションに、
> 下記を追加しても良いと思います。
>
>     priority=1
>
> こうすれば、glusterfs のリポジトリが base や updates と同じ優先度になるので、
> よりバージョンの新しい glusterfs のパッケージが使われるようになります。
>
> glusterfs ではないですが、そのあたりの yum のリポジトリの優先度などについて、
> 以前 Qiita で書きました。参考までに。
>
> http://qiita.com/ngyuki/items/98a7cc5ac33225619e69

たいへん参考になりますね。


centos-users メーリングリストの案内